from datetime import datetime
from uuid import UUID
from pydantic import BaseModel

from app.util.encoders import force_utc_datetime


class Session(BaseModel):
    id: UUID
    name: str
    last_used: datetime

    class Config:
        from_attributes = True
        json_encoders = {datetime: force_utc_datetime}